use std::error::Error;

use tokio::process::Command;

pub async fn run_ffmpeg(stream_url: String) -> Result<(), Box<dyn Error>> {
    let _ffmpeg_child = Command::new("ffmpeg")
        .arg("-i")
        .arg(stream_url)
        .arg("-c")
        .arg("copy")
        .arg("-f")
        .arg("null")
        .arg("-")
        // .stdout(Stdio::piped())
        .spawn()?;
    Ok(())
}
